% This script set parameter and performs intial calculations for
% simple simulink average value dc/dc converter simulation savm_dcdc

% Written by S.D. Sudhoff 
%   School of Electrical and Computer Engineering
%   1285 Electrical Engineering Building
%   West Lafayette, IN 47907-1285
%   Phone: 765-494-3246
%   Fax: 765-494-0676
%   E-mail: sudhoff@ecn.purdue.edu

% input source
vin=300;                                   % input voltage (V)

% duty cycle 
di=0.5;                                    % initial value  
df=0.7;                                    % final value
tstep=0.02;                                % time of step (s)

% load
Rload=10.0;                                % load resistance (Ohms)
Yload=1/Rload;                             % load conductance (Mhos)

% model parameters
Pdcdc.L=5e-3;                              % inductor inductance (H)
Pdcdc.rL=0.5;                              % inductor resistance (Ohms)
Pdcdc.C=1000e-6;                           % capacitor capacitance (F)

% initial condition
vouti=vin/(Pdcdc.rL/(Rload*di)+di);        % initial output voltage (V)
ili=vouti/(di*Rload);                      % initial inductor current (A)
Pdcdc.xic=[ili vouti];                     % initial state vector